※上記の広告は60日以上更新のないWIKIに表示されています。更新することで広告が下部へ移動します。

□RPM パッケージの強制削除方法


rpmコマンドで、RPMパッケージを削除しようとした際、下記の様に依存性チェックにより、
削除できない場合があります。通常は、依存関係にあるパッケージを削除すれば良いのですが、
単に同じバージョンのパッケージを入れ直したい場合など、不便となります。

root@xp-en-shitoshi yanagi]# rpm -ev net-snmp-5.0.9-2.30E.15
エラー: Failed dependencies:
       net-snmp is needed by (installed) hpoj-0.90-14

この様な場合は、--nodeps(依存チェックをしない)をつけることで、解消出来ます。


rpm -ev --nodeps net-snmp-libs-5.0.9-2.30E.15
最終更新:2006年10月18日 12:24